"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _util = _interopRequireDefault(require("util"));

var allowedNotBarColorValues = ['transparent', 'inherit'];
var properties = ['background-color', 'border-bottom-color', 'border-color', 'border-left-color', 'border-right-color', 'border-top-color', 'caret-color', 'color', 'column-rule-color', 'outline-color', 'text-decoration-color'];
var linter = {
  lint: function lint(config, node) {
    // eslint-disable-line complexity
    if (!properties.includes(node.prop)) {
      return [];
    }

    var value = node.value.toString().trim();
    var message;

    if (!allowedNotBarColorValues.includes(value) && !value.includes('@')) {
      message = _util["default"].format(linter.message.notVariable, value);
    }

    if (message) {
      var position = node.positionBy({
        word: value
      });
      return [{
        column: position.column,
        line: position.line,
        message: message
      }];
    }

    return [];
  },
  message: {
    notVariable: 'Color value (%s) should be specified only as a variable.'
  },
  name: 'onlyVariableColors',
  nodeTypes: ['decl']
};
var _default = linter;
exports["default"] = _default;
module.exports = exports.default;